Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008780opensim[REGION] OpenSim Corepublic2020-10-11 08:312020-10-17 08:22
Reporternixnerd 
Assigned ToUbitUmarov 
PrioritynormalSeveritycrashReproducibilitysometimes
StatusresolvedResolutionfixed 
PlatformLinuxOSOS Version
Product Version 
Target VersionFixed in Versionmaster (dev code) 
Summary0008780: 6e3f0a140c 2020-10-11 06:55:35 +0100 causes viewer crash on some regions
Description6e3f0a140c 2020-10-11 06:55:35 +0100 causes viewer crash on some regions
Steps To ReproduceUse 6e3f0a140c 2020-10-11 06:55:35 +0100
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (1 Region per Sim)
Physics EngineubODE
Script EngineXEngine
EnvironmentMono / Linux64
Mono Versiontrunk
ViewerFirestorm 6.4.5 (60799)
Attached Files

- Relationships

-  Notes
(0036928)
nixnerd (reporter)
2020-10-11 08:34

Last known version where this issue isn't present (as far as I know), is 4e6240f982 2020-10-04 01:24:02 +0100
(0036931)
tampa (reporter)
2020-10-11 09:06

All viewers keep logs, check what exactly it fails upon or login, reproduce the crash and post your log.

Is there any error on the OpenSim console? If so post log of that.

Just saying "it crashes" gives us no further info as to why.

If you are having issues moving from older to newer master code you may experience crashes due to the EEP changes(or estates or whatever no idea). Easiest option is to make an oar, nuke the database and deploy from oar.
(0036932)
BillBlight (developer)
2020-10-11 09:07

This is a work in progress, as in "known issue" from very late last night, early this morning.

Try the very latest commit ...

Going to mark this as acknowledged ..
(0036933)
BillBlight (developer)
2020-10-11 09:08

WIP
(0036934)
BillBlight (developer)
2020-10-11 11:48

Latest commit, has a test fix ...
(0036935)
tampa (reporter)
2020-10-11 12:10

To clarify what's going on here:

So apparently when scene is loaded in the viewer it receives bad info on a prim causing a crash because the volume information is bogus. This seems to have been caused by udp weirdness, changes of the last couple of days. The crashing object can be removed, but it just moves to a different object.

The latest few commits are an attempt to resolve this issue and so far it is looking good, but since this issue does not immediately show its ugly head some further testing is required over the course of the next couple of days.

If you want to roll back, commits prior to October seem fine, for me at least.
(0036936)
nixnerd (reporter)
2020-10-11 15:31

Thanks for acknowledging this issue, I'll try updating to current master again, next week-end.
(0036949)
UbitUmarov (administrator)
2020-10-12 01:22

DO not change any contents on regions.
This is, hope was, a communication issue, not a contents issue.
(0036950)
tampa (reporter)
2020-10-12 04:59

Logged in on an offending region after 18 hours no further crash on master code, so this is looking promising. Guess better leave this open for a few days and check, will do a db dump after 24 hours and check difference to see if there is any visible corruption of data. What a strange issue.
(0036951)
BillBlight (developer)
2020-10-12 08:59

This is not a DB or object issue, should be no corruption , it is/was a comms issue to the viewer.
(0036952)
UbitUmarov (administrator)
2020-10-12 09:00

careful current master is smoking again
(0036953)
UbitUmarov (administrator)
2020-10-12 13:14

master should be usable again.. ( at time of writing.. )
(0036967)
nixnerd (reporter)
2020-10-17 08:17

This issue appears to be resolved now - thanks devs :)

- Issue History
Date Modified Username Field Change
2020-10-11 08:31 nixnerd New Issue
2020-10-11 08:34 nixnerd Note Added: 0036928
2020-10-11 09:06 tampa Note Added: 0036931
2020-10-11 09:07 BillBlight Note Added: 0036932
2020-10-11 09:08 BillBlight Note Added: 0036933
2020-10-11 09:08 BillBlight Assigned To => UbitUmarov
2020-10-11 09:08 BillBlight Status new => acknowledged
2020-10-11 11:48 BillBlight Note Added: 0036934
2020-10-11 12:10 tampa Note Added: 0036935
2020-10-11 15:31 nixnerd Note Added: 0036936
2020-10-12 01:22 UbitUmarov Note Added: 0036949
2020-10-12 04:59 tampa Note Added: 0036950
2020-10-12 08:59 BillBlight Note Added: 0036951
2020-10-12 09:00 UbitUmarov Note Added: 0036952
2020-10-12 13:14 UbitUmarov Note Added: 0036953
2020-10-17 08:17 nixnerd Mono Version 6.x => trunk
2020-10-17 08:17 nixnerd Note Added: 0036967
2020-10-17 08:17 nixnerd Status acknowledged => resolved
2020-10-17 08:17 nixnerd Fixed in Version => master (dev code)
2020-10-17 08:17 nixnerd Resolution open => fixed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker